#3056 closed enhancement (fixed)

Add EDF SMP scheduler

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The current SMP schedulers are all fixed-priority schedulers. Add a job-level fixed priority scheduler (EDF).

Change History (10)

comment:1 Changed on Jun 30, 2017 at 6:00:40 AM by Sebastian Huber <sebastian.huber@…>

In 1dbce41/rtems:

smptests: Split smpscheduler03

Split smpscheduler03 to run the tests with only one processor.

Update #3056.

comment:2 Changed on Jun 30, 2017 at 6:00:53 AM by Sebastian Huber <sebastian.huber@…>

In 15dbc71/rtems:

score: Add red-black tree node to Scheduler_Node

In SMP configurations, add a red-black tree node to Scheduler_Node to
enable an EDF scheduler implementation.

Update #3056.

comment:3 Changed on Jun 30, 2017 at 6:01:05 AM by Sebastian Huber <sebastian.huber@…>

In f3d9f228/rtems:

score: Add SMP EDF scheduler

Update #3056.

comment:4 Changed on Jun 30, 2017 at 6:01:16 AM by Sebastian Huber <sebastian.huber@…>

In 74f9db8/rtems:

score: Add RTEMS_NO_INLINE

Update #3056.

comment:5 Changed on Jun 30, 2017 at 6:01:28 AM by Sebastian Huber <sebastian.huber@…>

In 7f7a3e8f/rtems:

tests: Move busy loop to test support

Update #3056.

comment:6 Changed on Jun 30, 2017 at 6:01:41 AM by Sebastian Huber <sebastian.huber@…>

In 7adf4941/rtems:

smptests/smpschededf01: New test

Update #3056.

comment:7 Changed on Jul 3, 2017 at 7:43:13 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 8cf3d75/rtems-docs:

c-user: Document EDF SMP

Close #3056.

comment:8 Changed on Oct 10, 2017 at 6:27:10 AM by Sebastian Huber

Component: SMPscore

comment:9 Changed on Oct 10, 2017 at 6:29:01 AM by Sebastian Huber

Component: scorecpukit

comment:10 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.